
Ruby - Bug #16696

'OpenSSL 1.1.1e  17 Mar 2020' causes failure in Ruby OpenSSL stdlib

03/19/2020 02:21 AM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7:

UNKNOWN

Description

Failure first appeared in ruby-loco MinGW build, also repo'd using OpenSSL CI testing on Ubuntu Ruby 2.7.0.

See:

https://github.com/ruby/openssl/runs/517945310#step:7:529

and MinGW build here:

https://github.com/ruby/ruby/runs/518138007#step:14:885

ruby-loco:

https://github.com/MSP-Greg/ruby-loco/runs/516963757?check_suite_focus=true#step:8:92

See issue:

https://github.com/ruby/openssl/issues/355

History

#1 - 03/19/2020 02:53 AM - MSP-Greg (Greg L)

Any Windows RubyInstaller builds that contain OpenSSL stdlib 2.1.0 or later are built with OpenSSL 1.1.1.  They are also built with a current set of

MSYS2/MinGW packages.  The current MSYS2/MinGW OpenSSL package is 1.1.1e.

Hence, backporting this fix to Ruby 2.5, 2.6, and 2.7 would allow RubyInstaller builds to continue as above.

#2 - 03/29/2020 06:30 PM - MSP-Greg (Greg L)

See:

https://mta.openssl.org/pipermail/openssl-announce/2020-March/000168.html

Change will be reverted in 1.1.1f, release on 31-Mar-10 . Please close.

#3 - 03/30/2020 06:25 AM - vo.x (Vit Ondruch)

But it will be back with OpenSSL 3.x, I am afraid.

#4 - 05/26/2020 09:54 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed
